{% extends('admin/adminLayout.twig') %}
{% block content %}


    <h1>Connexions</h1>

    <div class="col-md-6">
        <h2>Les {{ tabC|length }} dernières connexions</h2>
        <table class="table">
            <tr>
                <th></th>
                <th>Nom Prénom</th>
                <th></th>
                <th>Date</th>     
            </tr>
            {% for C in tabC %}

                <tr>
                    <td>{{ loop.index }}</td>
                    <td>{{ C.lastname }}   {{ C.firstname }} </td>         
                    <td>{{ C.user }} </td>         
                    <td> {{ C.connection_date }} {{ C.connection_time }}</td>          
                </tr>


            {% endfor %}
        </table>
    </div>
    <div class="col-md-6">

        <h2>Les {{ tabObjets|length }} derniers objets modifiées</h2>
        <table class="table">
            <tr>
                <th>Objet [id]</th>
                <th>Type</th>
                <th>Date de modifiation</th> 
                <th>Modificateur</th>     
            </tr>
            {% for O in tabObjets %}

                <tr>
                    <td><a target="_blank" href="{{ url('objet-carte', { 'sysma_object_id' : O.sysma_object_id }) }}">{{ O.sysma_object }}   [{{ O.sysma_object_id }}]</a></td>         
                    <td>{{ O.sysma_object_type|raw }}</td>
                    <td>{{ O.modified_at }}</td>
                    <td> {{ O.user }}</td>          
                </tr>


            {% endfor %}
        </table>

        <h2>Nombre de connexions depuis {{ start_date|default('10 jours') }}</h2>
        <table class="table">
            <tr>
                <th>Nom Prénom</th>
                <th>Nb</th>     
            </tr>
            {% for B in bilan %}

                <tr>
                    <td>{{ B.lastname }}   {{ B.firstname }} </td>         
                    <td> {{ B.nb_connexions }}</td>          
                </tr>


            {% endfor %}
        </table>



    </div>

{% endblock %}

